# List departments

{% hint style="info" %}
&#x20;This endpoint requires `departments_r` or `departments_rw` scope.
{% endhint %}

## departments list

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/departments`

#### Query Parameters

| Name                    | Type    | Description                                      |
| ----------------------- | ------- | ------------------------------------------------ |
| organization\_reference | string  | Reference of the associated organization/company |
| per\_page               | integer | Number of jobs per page                          |
| page                    | integer | Page offset                                      |

{% tabs %}
{% tab title="200 Success" %}

```
[
  {
    "id": 42,
    "name": "Tech",
    "is_active": true,
    "slug": "tech",
    "description": "Foo bar"
  }
]
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/departments" \
    -d "organization_reference=Pg4eV6k" \
    -H "Authorization: Bearer WK_API_KEY"
```
